#include <stdio.h>
#include <allegro.h>

#include "startup.h"
#include "shutdown.h"
#include "console.h"
#include "central.h"

char *MenuEntry[20][50];
int MenuLength;
int Selected;
int GameStatus;
int OldStatus;

BITMAP *menubmp = NULL, *screenbmp = NULL, *oldscreenbmp = NULL, *tilebmp = NULL, *tile[250];
PALLETE pallete;
FONT *font;

char *p1name;
char *p2name;
char *p3name;
char *p4name;

struct MapStruct {
    int l1;
    int l2;
} Map[100][100];

struct UserStruct { //Map Tiles and Flags
    int x;
    int y;
    int offsetx;
    int offsety;
    int dir;
} User;

enum {
    UP,
    DOWN,
    LEFT,
    RIGHT
};

enum {
    MAP,
    LOGO,
    MENU_MAIN,
    MENU_LOADGAME,
    MENU_CONFIG_PLAYER,
    MENU_CONFIG_PLAYER_CHARNAMES
};


int main(void)
{
    Startup();			//runs all init routines

    InitMenu();
    while (KeyHandler() != 1);
    Shutdown();			//runs all shutdown routines

    return (0);
}
